/* ---------------------------- */
/* BASIC SETUP */
/* ---------------------------- */

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html,
body{
	background-color: #fff;
	color: #555;
	font-family: 'Ubuntu', sans-serif;
	font-weight: 400;
	font-size: 20px;
	text-rendering: optimizeLegibility;
	overflow-x: hidden; 
}

/* to clear float after an element */
.clearfix{zoom:1}
.clearfix:after{
	content: '.';
	clear: both;
	display: block;
	height: 0;
	visibility: hidden;
}

/* ---------------------------- */
/* REUSABLE COMPONENTS */
/* ---------------------------- */

.row{
	max-width: 1140px;
	margin: 0 auto;
}

section{
	padding: 60px 0;
}

.box{
	padding: 1%;
}

/* ---- HEADINGS ----*/

h1, h2, h3{
	font-weight: 500;
/*	text-transform: uppercase; */
}

h1{
	margin-top: 0;
	margin-bottom: 20px;
	color: #fff;
	font-size: 240%;
	word-spacing: 4px; 
	letter-spacing: 1px;
}

h2{
	font-size: 180%;
	word-spacing: 2px;
	text-align: center;
	margin-bottom: 30px;
	letter-spacing: 1px;
}

h2:after{
	display: block;
	height: 2px;
	background-color: #2cc4cb;
	content: " ";
	width: 100px;
	margin: 0 auto;
	margin-top: 30px;
}

h3{
	font-size: 110%;
	margin-bottom: 15px;
}

.lajt{
	font-weight: 400;
}

/* ---- PARAGRAPHS ----*/

.long-copy{
	line-height: 145%;
	width: 70%;
	margin-left: 15%; /* 70 + 15 + 15 = 100 */
}

.port-copy{
	line-height: 145%;
	width: 70%;
	margin-left: 15%; /* 70 + 15 + 15 = 100 */
	margin-bottom: 5%;
}

.box p{
	font-size: 90%;
	line-height: 145%;
}

/* ---- ICONS ----*/

.icon-big{
	font-size: 300%;
	display: block;
	color: #2cc4cb;
	margin-bottom: 10px;
}

.icon-small{
	display: inline-block;
	width: 30px;
	text-align: center;
	color: #2cc4cb;
	font-size: 120%;
	margin-right: 10px;

	/* secrets to align text and icons */
	line-height: 120%;
	vertical-align: middle;
	margin-top: -5px;
}

/* ----- LINKS ----- */

a:link,
a:visited{
	color: #2cc4cb;
	text-decoration: none;
	padding-bottom: 1px;
	border-bottom: 1px solid #2cc4cb;
	transition: border-bottom 0.2s, color 0.2s;
}

a:hover,
a:active{
	color: #555;
	border-bottom: 1px solid transparent;
}

/* ----- BUTTONS ----- */

.btn:link,
.btn:visited,
input[type=submit]{
	display: inline-block;
	padding: 10px 30px;
	font-weight: 300;
	text-decoration: none;
	border-radius: 200px;
	color: #fcf4e1;
	transition: background-color 0.2s, color 0.2s, border 0.2s;
}

.btn-full:link,
.btn-full:visited,
input[type=submit]{
	background-color: #2cc4cb;
	border: 1px solid #2cc4cb;
	margin-right: 15px;
}

.btn-ghost:link,
.btn-ghost:visited{
	border: 1px solid #2cc4cb;
	color: #2cc4cb;
}

.btn:hover,
.btn:active,
input[type=submit]:hover,
input[type=submit]:active{
	background-color: #fcf4e1;
	color: #2cc4cb;
}

.btn-full:hover,
.btn-full:active{
	border: 1px solid #fcf4e1;
}

.btn-ghost:hover,
.btn-ghost:active{
	border: 1px solid #fcf4e1;
	color: #2cc4cb;
}

/* ---------------------------- */
/* HEADER */
/* ---------------------------- */

header{
	background-image: linear-gradient(rgba(24, 41, 57, 0), rgba(24, 41, 57, 0.8)), url(img/lights.jpg);
	background-size: cover;
	background-position: center;
	height: 90vh;
	background-attachment: fixed; /* image stays in place */
}

.hero-text-box{
	position: absolute;
	width: 1140px;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	        transform: translate(-50%, -50%);
}

/* .logo{
	height: 100px;
	width: auto;
	float: left;
	margin-top: 20px;
}

.logo-black {
	display: none; 
	height: 50px;
	width: auto;
	float: left;
	margin: 5px 0;
} */


/* MAIN NAV */
.main-nav{
	float: right;
	list-style: none;
	margin-top: 55px;
}

.main-nav li{
	display: inline-block;
	margin-left: 40px;
}

.main-nav li a:link,
.main-nav li a:visited{
	padding: 8px 0;
	color: #fff;
	text-decoration: none;
	text-transform: uppercase;
	font-size: 90%;
	border-bottom: 2px solid transparent;
	transition: border-bottom 0.2s;
}

.main-nav li a:hover,
.main-nav li a:active{
	border-bottom: 2px solid #2cc4cb;
}


/* MOBILE NAV */
.mobile-nav-icon {
	float: right;
	margin-top: 30px;
	cursor: pointer;
	display: none;
}

.mobile-nav-icon i{
	font-size: 200%;
	color: #fff;
}


/* STICKY NAV */
.sticky {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	background-color: rgba(255, 255, 255, 0.98);
	box-shadow: 0 2px 2px #efefef;
	z-index: 9999;
}

.sticky .main-nav{ margin-top: 18px; margin-bottom: 10px; }

.sticky .main-nav li a:link,
.sticky .main-nav li a:visited{
	padding: 8px 0;
	color: #555;
}

.sticky .logo { display: none; }
.sticky .logo-black { display: block; }



/* ---------------------------- */
/* FEATURES */
/* ---------------------------- */

.section-features {background-color: #fcf4e1;}

.section-features .long-copy{
	margin-bottom: 20px;
}

.screen {
	width: 15vh;
}


/* ---------------------------- */
/* MEALS */
/* ---------------------------- */

.section-meals{
	padding: 60px 0 60px 0;
}

.meals-showcase{
	list-style: none;
	width: 100%;
}

.meals-showcase li{
	display: block;
	float: left;
	width: 16.66%;
}

.meal-photo{
	width: 100%; /* image is as wide as its container meals-showcase */
	margin: 0;
	overflow: hidden; /* only part of the img in container visible, not 20% extra */
	background-color: #000; /* black bckgrnd plus opacity make image darker */
}

.meal-photo img{
	opacity: 0.7;
	width: 100%; /* image is as wide as its container meals-showcase */
	height: auto;
	-webkit-transform: scale(1.8);
	        transform: scale(1.8); /*image will be 120% large */
	transition: opacity 0.5s, -webkit-transform 0.5s;
	transition: transform 0.5s, opacity 0.5s;
	transition: transform 0.5s, opacity 0.5s, -webkit-transform 0.5s;
}

.meal-photo img:hover{
	-webkit-transform: scale(1);
	        transform: scale(1);
	opacity: 1;
}


/* ---------------------------- */
/* HOW IT WORKS */
/* ---------------------------- */

.section-steps{
	background-color: #f4f4f4;
}

.steps-box:first-child{
	text-align: right; /* works for all inline and inline-block elements */
	padding-right: 3%;
	margin-top: 30px;
}

.steps-box:last-child{
	padding-left: 3%;
	margin-top: 70px;
}

.app-screen{
	width: 40%;
}

.works-step{
	margin-bottom: 50px;
}

.works-step:last-of-type{  /* similar selector to :last-child */
	margin-bottom: 80px;
}

.works-step div{
	color: #2cc4cb;
	border: 2px solid #2cc4cb;
	display: inline-block;
	border-radius: 50%;
	height: 55px;
	width: 55px;
	text-align: center;
	padding: 5px;
	float: left;
	font-size: 150%;
	margin-right: 25px;
}

.btn-app:link,
.btn-app:visited{
	border-bottom: 0;
}

.btn-app img{
	height: 50px;
	width: auto;
	margin-right: 10px;
}


/* ---------------------------- */
/* CITIES */
/* ---------------------------- */

.box img{
	width: 100%;
	height: auto;
	margin-bottom: 15px;
}

.city-feature{
	margin-bottom: 5px;
}


/* ---------------------------- */
/* TESTIMONIALS */
/* ---------------------------- */

.section-testimonials{
	background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(img/photo-spina.jpg);
	background-size: cover;
	color: #ffffff;
	background-attachment: fixed;
}

.bio-photo{
    border-radius: 5px 5px;
    background: #fcf4e1;
    padding: 0;
    height: 200px;
    margin-left: 30%;
}

.bio{
	margin-right: 20%;
	line-height: 145%;
	font-size: 16px;
	font-weight: 400;
	color: #fcf4e1;
}


/* ---------------------------- */
/* SIGN UP */
/* ---------------------------- */

.section-plans{
	background-color: #f4f4f4;
}

.plan-box{
	background-color: #fff;
	border-radius: 5px;
	width: 90%;
	margin-left: 5%; /* 90% width + 5% each side */
	box-shadow: 0 2px 2px #e3e3e3;
}

.plan-box div{
	padding: 15px;
	border-bottom: 1px solid #e8e8e8;
}

.plan-box div:first-child{
	background-color: #fcfcfc;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

.plan-box div:last-child{  /* choose the button - last div of plan-box */
	text-align: center;
	border: none;
}

.plan-price{
	font-size: 300%;
	font-weight: 100;
	margin-bottom: 10px;
	color: #2cc4cb;
}

.plan-price span{
	font-size: 30%; /* child of .plan-price so 30% of 300% */
	font-weight: 300;
}

.plan-price-meal{
	font-size: 80%
}

.plan-box ul{
	list-style: none;
}

.plan-box ul li{
	padding: 5px 0;
}


/* ---------------------------- */
/* FORM */
/* ---------------------------- */

.section-form {
	height: 550px;
}

.contact-form{
	width: 60%;
	margin: 0 auto;
}

input[type=text],
input[type=email],
select,
textarea{
	width: 100%;
	padding: 7px;
	border-radius: 3px;
	border: 1px solid #ccc;
}

textarea{
	height: 100px;
}

input[type=checkbox]{
	margin: 10px 5px 10px 0;
}

*:focus{outline: none;}

.form-messages{
	width: 70%;
	margin: 0 auto;
	padding: 10px;
	border-radius: 3px;
	margin-bottom: 20px;
}

.success { background-color: #2cc4cb; }

.error { background-color: #fcf4e1; }


/* ---------------------------- */
/* FOOTER */
/* ---------------------------- */

footer{
	background-color: #333;	
	padding: 50px;
	font-size: 80%;
}

.footer-nav{
	list-style: none;
	float: left;
}

.social-links{
	list-style: none;
	float: right;
}

.footer-nav li,
.social-links li{
 	display: inline-block;
 	margin-right: 20px; 
}

.footer-nav li:last-child,
.social-links li:last-child{
	margin: 0;
}

.footer-nav li a:link,
.footer-nav li a:visited,
.social-links li a:link,
.social-links li a:visited{
	text-decoration: none;
	border: 0;
	color: #888;
	transition: color 0.2s;
}

.footer-nav li a:hover,
.footer-nav li a:active{
	color: #ddd;
}

.social-links li a:link,
.social-links li a:visited{
	font-size: 160%;
}

.ion-social-facebook,
.ion-social-twitter,
.ion-social-googleplus,
.ion-social-instagram{
	transition: color 0.2s;
}

.ion-social-facebook:hover{
	color: #3b5998;
}

.ion-social-twitter:hover{
	color: #00aced;
}

.ion-social-googleplus:hover{
	color: #dd4b39;
}

.ion-social-instagram:hover{
	color: #517fa4;
}

footer p{
	color: #888;
	text-align: center;
	margin-top: 20px;
}


/* ---------------------------- */
/* ANIMATIONS */
/* ---------------------------- */

.js--wp-1,
.js--wp-2,
.js--wp-3 {
	opacity: 0;
	-webkit-animation-duration: 1s;
	        animation-duration: 1s;
}

.js--wp-4 {
	-webkit-animation-duration: 1s;
	        animation-duration: 1s;
}

.js--wp-1.animated,
.js--wp-2.animated,
.js--wp-3.animated {
	opacity: 1;
}




